import { Component, Prop, h } from '@stencil/core';
import { format } from '../../utils/utils';
export class MyComponent {
  getText() {
    return format(this.first, '', '');
  }
  render() {
    return h("div", null, this.getText());
  }
  static get is() { return "circle-progress"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["circle-progress.css"]
  }; }
  static get styleUrls() { return {
    "$": ["circle-progress.css"]
  }; }
  static get properties() { return {
    "first": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The first name"
      },
      "attribute": "first",
      "reflect": false
    }
  }; }
}
